Page MenuHomePhabricator

Deprecate and remove the 'jquery.tabIndex' module from core
Closed, ResolvedPublic

Description

Was developed for the Vector skin long ago.

No longer used as of https://gerrit.wikimedia.org/r/540733 (T226148)

Event Timeline

Krinkle created this task.Oct 4 2019, 12:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2019, 12:09 AM

Change 542607 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/WikiEditor@master] Remove use of jquery.tabIndex in jquery.wikiEditor.dialogs.js

https://gerrit.wikimedia.org/r/542607

Change 542615 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/skins/Timeless@master] Remove use of 'jquery.tabIndex' in favour of hardcoded high int

https://gerrit.wikimedia.org/r/542615

Krinkle triaged this task as Medium priority.Oct 11 2019, 10:43 PM
Krinkle added a project: MW-1.35-release.
Krinkle moved this task from Blocker to Deprecate/Remove on the MW-1.35-release board.

Change 542607 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Remove use of jquery.tabIndex in jquery.wikiEditor.dialogs.js

https://gerrit.wikimedia.org/r/542607

Ammarpad claimed this task.Oct 13 2019, 5:13 AM

Change 542751 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Deprecate 'jquery.tabIndex' module

https://gerrit.wikimedia.org/r/542751

Change 543695 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/WikiEditor@master] Remove more setTabindexes() calls

https://gerrit.wikimedia.org/r/543695

Change 543695 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Remove use of jquery.tabIndex (take 2)

https://gerrit.wikimedia.org/r/543695

Change 542615 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Remove use of 'jquery.tabIndex'

https://gerrit.wikimedia.org/r/542615

Change 544273 had a related patch set uploaded (by Krinkle; owner: Ammarpad):
[mediawiki/core@REL1_34] Deprecate 'jquery.tabIndex' module

https://gerrit.wikimedia.org/r/544273

Change 544273 merged by jenkins-bot:
[mediawiki/core@REL1_34] Deprecate 'jquery.tabIndex' module

https://gerrit.wikimedia.org/r/544273

Change 542751 merged by jenkins-bot:
[mediawiki/core@master] Deprecate 'jquery.tabIndex' module

https://gerrit.wikimedia.org/r/542751

Krinkle added a comment.EditedOct 25 2019, 8:12 PM

@Ammarpad Want to give that a go as well?

Krinkle updated the task description. (Show Details)Oct 25 2019, 8:14 PM
Krinkle updated the task description. (Show Details)EditedOct 26 2019, 12:15 AM

Ticking the box for "Analyse gadgets, site scripts, and user scripts".

I found only 1 use in all User, Project and MediaWiki namespace pages on the public WMF wikis, which was enwiki:User:/portlet-toggle.js. I have fixed this script. There are no further uses of the module or its functions (Global search).

In any event, I've written a migration guide for third parties as well:

https://www.mediawiki.org/wiki/ResourceLoader/Migration_guide_(users)#jquery.tabIndex

Krinkle updated the task description. (Show Details)Oct 26 2019, 12:19 AM

@Ammarpad Want to give that a go as well?

Yes, sure. So we're to remove it altogether now? I thought the deprecation and removal are staggered between different releases.

Ammarpad added a comment.EditedOct 26 2019, 12:35 PM

Never mind my above comment, I now notice the removal will be in *1.35*

Yeah, 1.34 will be released soon from the REL1_34 branch. 1.35 will be released next year, but the master branch is already developing for 1.35 so this can start now :)

Change 546349 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Remove jquery.tabIndex module

https://gerrit.wikimedia.org/r/546349

Krinkle closed this task as Resolved.Nov 8 2019, 5:57 PM
Krinkle removed a project: Patch-For-Review.
Krinkle updated the task description. (Show Details)

Change 546349 merged by jenkins-bot:
[mediawiki/core@master] Remove jquery.tabIndex module

https://gerrit.wikimedia.org/r/546349